Skip to main content

This content has been archived and is no longer being updated. Links may not function; however, this content may be relevant to outdated versions of the product.

Support Article

Unable to pass schema check of Import Wizard

SA-562

Summary



Unable to import the Pega_Collections_6.2.1 bundle into the PRPC system. The import is halted upon presentation of an error message indicating that the user does not have permissions to perform schema migration. The DDL that the import wizard shows as being required is just a few indexes on the Sample database tables.

ERROR:
** The bundle requires changes to the database schema. You do not have permissions to perform schema migration. Please download the SQL DDL, execute it and continue the wizard.


Error Messages



** The bundle requires changes to the database schema. You do not have permissions to perform schema migration. Please download the SQL DDL, execute it and continue the wizard.


Steps to Reproduce



Import Collections_Bundle.jar with standard Import.


Root Cause



The root cause of this problem is a defect/misconfiguration in the PRPC operating environment.



Resolution



The PRPC engine will not allow you to make schema changes with the system level is set to 5 (production). Because the Pega_Collections_6.2.1.zip included schema changes, and the system was set to operating level 5, the user was stuck in the Import Wizard. Issue was addressed ny applying the schema manually and removing it from the Pega_Collections_6.2.1.zip file.
Suggest Edit

Published June 12, 2015 - Updated October 8, 2020

Did you find this content helpful? Yes No

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.

We'd prefer it if you saw us at our best.

Pega Community has detected you are using a browser which may prevent you from experiencing the site as intended. To improve your experience, please update your browser.

Close Deprecation Notice
Contact us